{#
Template for the "listen to a song" page where a user can
search for specific songs via a search form.
Author: Jero Schäfer
Last modified: 18.06.2020
#}
{% extends "base.html" %}
{% import "form_styling_macro.html" as macros %}

{% block page_content %}
    <main role="main">
        <section class="jumbotron text-center">
            <div class="container">
                <h1 class="jumbotron-heading">Listen to music</h1>
                <p class="lead text-muted">
                    Here you can search for specific songs that have a certain title, interpret
                    or that are from a writer or producer.
                </p>
                <div>
                    <p>
                    <form class="form" method="post" role="form">
                        {{ form.csrf_token() }}
                        <div class="form-group row">
                            <div class="col-sm-2">
                                {{ macros.render_field(form.select) }}
                            </div>
                            <div class="col-sm-10">
                                {{ macros.render_field(form.search) }}
                            </div>
                        </div>
                        {{ macros.render_field(form.submit) }}
                    </form>
                    </p>
                </div>
            </div>
        </section>
    </main>
{% endblock %}